SWARET NUN FUNZA!

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » dom dic 05, 2004 16:38

Per la terza volta consecutiva sono costretto a formattare la mia slack! Causa swaret! Ho una slack 10 e seguendo passo passo una guida pubblicata su linux magazine di novembre ho tentato di aggiornare la mia slack alla current! sembra andato tutto a buon fine ma dopo aver riavviato, all´avvio del kernel ottengo moltissimi errori di mancati moduli ecc ecc.! PERCHE? :-( :-( <br>

Avatar utente
Loris
Admin
Admin
Messaggi: 7667
Iscritto il: lun mar 31, 2003 0:00
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5
Località: Gradisca D'Isonzo
Contatta:

SWARET NUN FUNZA!

Messaggioda Loris » dom dic 05, 2004 17:09

E cosa dice questa guida ? giusto per capire l´errore di procedura...<br>
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett

tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » dom dic 05, 2004 17:37

allora mi fa modificare il file di configurazione in questo modo: <BR>VERSION=current <BR> <BR>poi commentare tutte le voci di DEP_ROOT e inserire: <BR>DEP_ROOT=http://swaret.sourceforge.net/libraries-$VERSION <BR> <BR>poi nella sezione Basic Exclude mi fa commentare EXCLUDE=kernel e EXCLUDE=lilo swaret <BR> <BR>poi modificare NIC=eth0 a seconda della propria interfaccia di rete <BR> <BR>Infine lancio il programma da root con il comando: swaret --update && swaret --upgrade -a<br>

meritil
Master
Master
Messaggi: 1651
Iscritto il: mar ago 24, 2004 0:00
Slackware: bluewhite64
Contatta:

SWARET NUN FUNZA!

Messaggioda meritil » dom dic 05, 2004 19:06

<!-- BBCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE> poi nella sezione Basic Exclude mi fa commentare EXCLUDE=kernel e EXCLUDE=lilo swaret <BR> </BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- BBCode Quote End --> <BR> <BR>No buono in questo modo swaret cerca di aggiornarti il kernel (evidentemente in maniera sballata) tramite i pacchetti della current, pacchetti che in quanto current non sono sempre "sincronizzati". <BR>Cmqe sia aggiornare il kernel tramite pacchetti richiede sempre una buona conoscenza del procedimento per verificare che tutto sia al suo posto. <BR>Aggiornatelo a mano il kernel seguendo gli howto specifici. <BR>Il resto dei pacchetti puoi tranquillamente aggiornarli con swaret se ci sono degli EXCLUDE lasciali. <BR> <BR>Ciao<br>

tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » dom dic 05, 2004 19:30

meritil quindi non dovrei commentare EXCLUDE=kernel e EXCLUDE=lilo swaret giusto?<br>

Avatar utente
Loris
Admin
Admin
Messaggi: 7667
Iscritto il: lun mar 31, 2003 0:00
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5
Località: Gradisca D'Isonzo
Contatta:

SWARET NUN FUNZA!

Messaggioda Loris » dom dic 05, 2004 19:43

Forse ti sei incasinato... capita, Commentare = mettere il # decommentare = togliere il # leggi la guida di Paolo, fonte di tutte le altre guide, credimi. <!-- BBCode Start --><A HREF="http://www.slacky.it/modules.php?name=Content&pa=showpage&pid=34" TARGET="_blank">Aggiornare Slackware con SWARET e SLAPT-GET</A><!-- BBCode End --><br>
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett

tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » dom dic 05, 2004 19:50

Lorys non sono così ignorante :-) so cosa vuol dire commentare!<br>

Avatar utente
Loris
Admin
Admin
Messaggi: 7667
Iscritto il: lun mar 31, 2003 0:00
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5
Località: Gradisca D'Isonzo
Contatta:

SWARET NUN FUNZA!

Messaggioda Loris » dom dic 05, 2004 20:35

Non lo metto in dubbio, in ogni caso decommenta EXCLUDE=kernel <BR>EXCLUDE=lilo swaret<br>
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett

meritil
Master
Master
Messaggi: 1651
Iscritto il: mar ago 24, 2004 0:00
Slackware: bluewhite64
Contatta:

SWARET NUN FUNZA!

Messaggioda meritil » dom dic 05, 2004 22:47

<!-- BBCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE> <BR> 05-12-2004 alle ore 19:30, tw1ggy_ramir3z : <BR>meritil quindi non dovrei commentare EXCLUDE=kernel e EXCLUDE=lilo swaret giusto?<br> <BR></BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- BBCode Quote End --> <BR> <BR>Bè sono cose delicate io me le faccio a mano.. anche swaret consiglia di farlo a mano mettendole di default nella lista exclude... poi ognuno fa quel che crede ci mancherebbe.... <BR>Io ho aggiornato la mia 10 alla current con swaret, il kernel e lilo , come alsa e kde me li sono aggiornati a mano e tutto mi funziona... <BR> <BR>Ciao<br>

meritil
Master
Master
Messaggi: 1651
Iscritto il: mar ago 24, 2004 0:00
Slackware: bluewhite64
Contatta:

SWARET NUN FUNZA!

Messaggioda meritil » dom dic 05, 2004 22:49

ps: cmqe si io li lascio commentati anzi a volte aggiungo qualcosa nella lista exclude... qualcosa che voglio lasciare com´è o aggiornare a mano. <BR>pss: Sono certo che Swaret faccia un buon lavoro anche quando aggiorna cose delicate, il mio è solo un consiglio... <BR> <BR>Ariciao<br>

valfe
Linux 2.x
Linux 2.x
Messaggi: 342
Iscritto il: mar nov 04, 2003 0:00

SWARET NUN FUNZA!

Messaggioda valfe » lun dic 06, 2004 12:08

provate slapt-get, merita ;-) <br>

tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » lun dic 06, 2004 17:24

secondo te è mejo slapt-get? io ho usato swaret perché era il tool ufficiale! comunque ho capito un´altra causa degli errori! il DEP_ROOT della guida mi dava sempre failed! ora provo un´altra volta con swaret lasciando tutte le impostazioni di default e cambiando solo la version! se neanche così funza provo slapt-get (oltre tutto il nome mi ispira di più perché ricorda il mitico apt-get)! l´ultima sponda è emerde (mitico port di emerge di gentoo!) altrimenti mi tengo tutto aggiornato alla 10! vi farò sapere!<br>

goodchild
Linux 3.x
Linux 3.x
Messaggi: 536
Iscritto il: lun gen 12, 2004 0:00

SWARET NUN FUNZA!

Messaggioda goodchild » lun dic 06, 2004 17:38

il tool ufficiale e´ upgradepkg (ovvero i pkgtools); swaret non e´ ufficiale ma sviluppato da terze parti. <BR>ma per upgradare in blocco non fai prima a scaricare i varii pacchetti della current ed usare il buon vecchio upgradepkg? sicuramente non fai casino in alcun modo ... <br>

tw1ggy_ramir3z
Linux 0.x
Linux 0.x
Messaggi: 18
Iscritto il: lun ago 23, 2004 0:00

SWARET NUN FUNZA!

Messaggioda tw1ggy_ramir3z » lun dic 06, 2004 17:40

goodchild ci tenevo a farti sapere che swaret è divenuto il gestore di pacchetti ufficiale! comunque upgradepkg mi aggiorna solo il software! mentre so che swaret fa anche aggiornamenti di sistema ecc.<br>

kireime
Linux 1.x
Linux 1.x
Messaggi: 179
Iscritto il: lun gen 26, 2004 0:00
Contatta:

SWARET NUN FUNZA!

Messaggioda kireime » lun dic 06, 2004 18:04

<!-- BBCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE>goodchild ci tenevo a farti sapere che swaret è divenuto il gestore di pacchetti ufficiale!</BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- BBCode Quote End --> Mi dispiace darti questa brutta notizia ma non lo è più<br>